## ooxml 1.10

=== Makefile ===
# Makefile.in --
#
#	If ths is "Makefile.in" then it is a template for a Makefile;  to generate 
#	the actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (C) 2019 Alexander Schoepe, Bochum, DE
#

#========================================================================
# Nothing of the variables below this line need to be changed.
#========================================================================

SHELL		= /bin/sh

srcdir		= .
top_srcdir	= .
prefix		= /opt/tcl/9.0
exec_prefix	= /opt/tcl/9.0
datarootdir	= ${prefix}/share
libdir		= ${exec_prefix}/lib
mandir		= ${datarootdir}/man
bindir		= ${exec_prefix}/bin

DESTDIR		=
pkglibdir	= $(libdir)/ooxml1.10
top_builddir	= /Users/alex/src/ooxml

PACKAGE_NAME	= ooxml
PACKAGE_VERSION	= 1.10
CYGPATH		= echo

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

TCL_BIN_DIR	= /Library/Frameworks/Tcl.framework
TCL_SRC_DIR	= /Users/alex/src/core/tests/tcl9.0.1
EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLLIBPATH	= $(top_builddir)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library`
PKG_ENV		= LD_LIBRARY_PATH="$(EXTRA_PATH):$(@LD_LIBRARY_PATH_VAR@)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(TCLLIBPATH)"

TCLSH_PROG	= /opt/tcl/9.0/bin/tclsh9.0
TCLSH   	= $(PKG_ENV) $(TCLSH_ENV) $(TCLSH_PROG)

PKG_TCL_SOURCES	=  ooxml.tcl manifest.txt

CONFIG_CLEAN_FILES = Makefile pkgIndex.tcl manifest.txt
CLEANFILES	= 

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

manifest.txt: manifest manifest.uuid tools/mkversion.tcl
	$(TCLSH) tools/mkversion.tcl > $@

doc/ooxml.html: doc/ooxml.md
	pandoc --standalone -f markdown -t html doc/ooxml.md \
		--css main.css -o doc/ooxml.html

doc/ooxml.n: doc/ooxml.md
	pandoc --standalone -f markdown -t man doc/ooxml.md -o doc/ooxml.n

doc: doc/ooxml.html doc/ooxml.n

all: manifest.txt doc/ooxml.html doc/ooxml.n

install: all
	$(TCLSH) `echo $(srcdir)/helper.tcl` cp $(PKG_TCL_SOURCES) pkgIndex.tcl $(pkglibdir)

test:
	$(TCLSH) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS) \
	  -load "package ifneeded ${PACKAGE_NAME} ${PACKAGE_VERSION} [list source [file join `echo $(srcdir)` $(PACKAGE_NAME).tcl]]"

archive:
	sh tools/archive.sh ooxml 1.10 $(PKG_TCL_SOURCES)

clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-rm -rf doc/ooxml.html doc/ooxml.n

distclean: clean
	-rm -f $(CONFIG_CLEAN_FILES)
	-rm -rf autom4te.cache
	-rm -f config.cache config.log config.status

.PHONY: install test clean distclean

=== debian/changelog ===
ooxml (1.10-1) unstable; urgency=medium

  * New upstream release
  * Debian standards 4.7.2 compliance checked
  * Unapply patches concerning failing tests (now they run OK)
  * Unapply patch prepending $(DESTDIR) to the installation path and
    now customizing installation through ./configure options
  * Add lintian overrides for temporary files left behind by the upstream
    authors (bug filed on the project web site)
  * Modify binary package lintian override for the manifest.txt file path

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 20 Apr 2025 00:15:03 +0200

ooxml (1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1069951)
  * Initial Markdown (pandoc) draft of a man page

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 27 Apr 2024 14:39:34 +0000

=== debian/control ===
Source: ooxml
Section: libs
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), pandoc, tcl-vfs, tcl-dev, tdom
Standards-Version: 4.7.2
Homepage: https://fossil.sowaswie.de/ooxml/

Package: tcl-ooxml
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}, tcl-vfs, tdom
Description: Read and Write Office Open XML "XLSX" since Excel 2007
 Tcl utility for handling Office Open XML "XLSX" files produced by relatively
 recent versions of Excel (starting with Excel 2007)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
DIR = $(shell pwd)/debian/tcl-ooxml

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	--with-tcl=/usr/lib/tcl8.6		\
				--prefix=$(DIR)/usr			\
				--includedir=$(DIR)/usr/include		\
				--mandir=$(DIR)/usr/share/man		\
				--infodir=$(DIR)/usr/share/info		\
				--libdir=$(DIR)/usr/lib/tcltk		\
				--libexecdir=$(DIR)/usr/lib/tcltk	\
				--disable-maintainer-mode		\
				--disable-dependency-tracking

override_dh_auto_install:
	dh_auto_install
	mkdir --parents $(DIR)/usr/share/man/man3/
	pandoc -s -f markdown -t man debian/ooxml.md > $(DIR)/usr/share/man/man3/ooxml.3tcl

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/ooxml(\d+\.\d+)-src.tar.gz/ooxml-$1\.tar\.gz/ \
https://fossil.sowaswie.de/ooxml/uv .*/ooxml(\d+\.\d+)-src.tar.gz
